Bug 101653 - multimedia/mplayer depends on imake if WITHOUT_X11 is set
Summary: multimedia/mplayer depends on imake if WITHOUT_X11 is set
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-08 13:50 UTC by Stefan Sperling
Modified: 2006-08-28 01:28 UTC (History)
0 users

See Also:


Attachments
file.diff (377 bytes, patch)
2006-08-08 13:50 UTC, Stefan Sperling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Sperling 2006-08-08 13:50:15 UTC
First of all, a big thank you to whoever finally cleaned up the
configuration options mess and made the mplayer port heed make config :)

I guess there was a small oversight though. If WITHOUT_X11 is set,
mplayer has a build dependency on imake. This doesn't really make sense.

Fix: Proposed patch, which assumes that someone made a logic error
and that imake is actually needed if building with X11:
How-To-Repeat: Set WITHOUT_X11=yes in /etc/make.conf.
Install mplayer and note that it wants to install imake as a dependency.
Comment 1 Edwin Groothuis freebsd_committer 2006-08-08 13:50:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-08 15:46:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 3 Thomas E. Zander 2006-08-08 22:04:23 UTC
No, this is not a logic mistake.
This is left from the pre7 or maybe even earlier port as we had a
version which wouldn't build without imake, so even those who intended
to use mplayer as audio-only port needed imake as a build dependency.
I haven't double-checked if the current version has this building issue
too, but:
- If it has, this pr would break the dependence
- If if hasn't, we don't need to explicitly include a dependency on
  imake at all

So, please close this pr, I will check if it builds without x11/imake
correctly and arrange appropriate changes with an upcoming port
update.
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-09 07:30:28 UTC
State Changed
From-To: feedback->suspended

suspend wainting for maintainer to investigate the problem
Comment 5 Shaun Amott freebsd_committer 2006-08-28 01:25:04 UTC
State Changed
From-To: suspended->closed

Superseded by ports/102493, which fixes this problem.